<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.shopping.mapper.SpecCatsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="specCatsResultMap" type="org.springblade.modules.shopping.entity.SpecCats">
        <id column="id" property="id"/>
        <result column="cat_id" property="catId"/>
        <result column="cat_name" property="catName"/>
        <result column="is_show" property="isShow"/>
        <result column="sort" property="sort"/>
        <result column="create_time" property="createTime"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>


    <select id="selectSpecCatsPage" resultMap="specCatsResultMap">
        select * from t_spec_cats where is_deleted = 0
    </select>

</mapper>
